Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.net
Class FileStreamTask

    java.lang.Object
      org.apache.cassandra.utils.WrappedRunnable
          org.apache.cassandra.net.FileStreamTask

All Implemented Interfaces:
  java.lang.Runnable

    public class FileStreamTask

extends WrappedRunnable

Field Summary
`static int` | `CHUNK_SIZE`
`static int` | `MAX_CONNECT_ATTEMPTS`

Method Summary
`void` | `runMayThrow()`

Methods inherited from class org.apache.cassandra.utils.WrappedRunnable
`run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHUNK_SIZE

    public static final int CHUNK_SIZE

See Also:
  Constant Field Values

### MAX_CONNECT_ATTEMPTS

    public static final int MAX_CONNECT_ATTEMPTS

See Also:
  Constant Field Values

Method Detail

### runMayThrow

    public void runMayThrow()
                     throws java.io.IOException

  Specified by:
    `runMayThrow` in class `WrappedRunnable`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation